
Foreman - Bug #1873

Too tight limit on domain characters count

09/25/2012 04:53 AM - Jaroslav Henner

Status: Closed   

Priority: Normal   

Assignee: Hannes Schaller   

Category: DB migrations   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We have awfully long domain names. Foreman seems to not like it either

 x PG::Error: ERROR: value too long for type character varying(32) : INSERT INTO "domains" ("creat

ed_at", "name", "updated_at", "dns_id", "fullname") VALUES ('2012-09-25 06:44:44.616460', 'berylli

um.xxx.xxx.xxx.xxx.redhat.com', '2012-09-25 06:44:44.616460', 1, 'beryllium.xxx.xxx.xxx.xxx.redhat

.com') RETURNING "id" 

 I already seen some issues of this sort with another DB column. I would vote to review the limits. Or should 32 characters be enough

for everybody?

Associated revisions

Revision cb707306 - 10/17/2012 07:34 AM - Hannes Schaller

fixes #1873 changed domain character count to 254 chars

History

#1 - 09/25/2012 09:56 AM - Greg Sutcliffe

I think it's an reasonable request - Ohad, do you agree?

#2 - 09/25/2012 07:29 PM - Ohad Levy

- Priority changed from High to Normal

+1

#3 - 09/28/2012 05:23 PM - Hannes Schaller

According to wikipedia:

Each label may contain up to 63 characters. The full domain name may not exceed a total length of 253 characters in its external dotted-label

specification. In the internal binary representation of the DNS the maximum length requires 255 octets of storage.

 ( http://en.wikipedia.org/wiki/Domain_Name_System#Domain_name_syntax )

So I think changing it to 253 characters should fix it.

#4 - 10/17/2012 07:35 AM - Ohad Levy

- Category set to DB migrations

- Assignee set to Hannes Schaller

- Target version set to 1.1

#5 - 10/17/2012 09:01 AM - Hannes Schaller

- Status changed from New to Closed
- % Done changed from 0 to 100

Applied in changeset cb7073067d7b647e0a1eb18afaf5811b3ea739b3.
